## org.jvnet.hudson.reactor
Class TaskBuilder

    java.lang.Object
      org.jvnet.hudson.reactor.TaskBuilder

Direct Known Subclasses:
  TaskGraphBuilder

    public abstract class TaskBuilder

extends java.lang.Object

Contributes `Task`s to a `Reactor` execution.

Author:
  Kohsuke Kawaguchi

Field Summary
`static TaskBuilder` `EMPTY_BUILDER` `TaskBuilder` that contributes no task.

Constructor Summary
`TaskBuilder()`

Method Summary
`abstract java.lang.Iterable<? extends Task>` `discoverTasks(Reactor reactor)` Returns all the tasks that this builder contributes to.
`static TaskBuilder` `fromTasks(java.util.Collection<? extends Task> tasks)` Creates a `TaskBuilder` that always discovers the given set of tasks.
`static TaskBuilder` `union(java.lang.Iterable<? extends TaskBuilder> builders)`
`static TaskBuilder` `union(TaskBuilder... builders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_BUILDER

    public static final TaskBuilder EMPTY_BUILDER

  `TaskBuilder` that contributes no task.

Constructor Detail

### TaskBuilder

    public TaskBuilder()

Method Detail

### discoverTasks

    public abstract java.lang.Iterable<? extends Task> discoverTasks(Reactor reactor)
                                                              throws java.io.IOException

  Returns all the tasks that this builder contributes to.

  Throws:
    `java.io.IOException`

### fromTasks

    public static TaskBuilder fromTasks(java.util.Collection<? extends Task> tasks)

  Creates a `TaskBuilder` that always discovers the given set of tasks.

### union

    public static TaskBuilder union(java.lang.Iterable<? extends TaskBuilder> builders)

### union

    public static TaskBuilder union(TaskBuilder... builders)

Copyright © 2011. All Rights Reserved.